Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 122114 - Implement "Insert Beans Property"
Implement "Insert Beans Property"
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jan Lahoda
issues@java
plan61
:
Depends on:
Blocks: 90907
  Show dependency treegraph
 
Reported: 2007-11-16 11:09 UTC by Jan Becicka
Modified: 2007-12-03 12:43 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Becicka 2007-11-16 11:09:07 UTC
Implement "Insert Beans Proprty"
Comment 1 Jan Lahoda 2007-11-21 12:18:28 UTC
There is contrib/AddProperty. It would make sense to me to make embed it into the Insert Code action (Alt-Insert).
Comment 2 Jan Lahoda 2007-12-03 12:43:58 UTC
I have merged the Add Property into the trunk:
RCS file: /cvs/beans/src/org/netbeans/modules/beans/resources/warning.gif,v
done
Checking in src/org/netbeans/modules/beans/resources/warning.gif;
/cvs/beans/src/org/netbeans/modules/beans/resources/warning.gif,v  <--  warning.gif
initial revision: 1.1
done
RCS file: /cvs/beans/src/org/netbeans/modules/beans/resources/error-glyph.gif,v
done
Checking in src/org/netbeans/modules/beans/resources/error-glyph.gif;
/cvs/beans/src/org/netbeans/modules/beans/resources/error-glyph.gif,v  <--  error-glyph.gif
initial revision: 1.1
done
Checking in src/org/netbeans/modules/beans/resources/mf-layer.xml;
/cvs/beans/src/org/netbeans/modules/beans/resources/mf-layer.xml,v  <--  mf-layer.xml
new revision: 1.33; previous revision: 1.32
done
Checking in nbproject/project.properties;
/cvs/beans/nbproject/project.properties,v  <--  project.properties
new revision: 1.10; previous revision: 1.9
done
Checking in nbproject/project.xml;
/cvs/beans/nbproject/project.xml,v  <--  project.xml
new revision: 1.20; previous revision: 1.19
done
RCS file: /cvs/beans/src/org/netbeans/modules/beans/addproperty/AddPropertyConfig.java,v
done
Checking in src/org/netbeans/modules/beans/addproperty/AddPropertyConfig.java;
/cvs/beans/src/org/netbeans/modules/beans/addproperty/AddPropertyConfig.java,v  <--  AddPropertyConfig.java
initial revision: 1.1
done
RCS file: /cvs/beans/src/org/netbeans/modules/beans/addproperty/AddPropertyCodeGenerator.java,v
done
Checking in src/org/netbeans/modules/beans/addproperty/AddPropertyCodeGenerator.java;
/cvs/beans/src/org/netbeans/modules/beans/addproperty/AddPropertyCodeGenerator.java,v  <--  AddPropertyCodeGenerator.java
initial revision: 1.1
done
RCS file: /cvs/beans/src/org/netbeans/modules/beans/addproperty/AddPropertyGenerator.java,v
done
Checking in src/org/netbeans/modules/beans/addproperty/AddPropertyGenerator.java;
/cvs/beans/src/org/netbeans/modules/beans/addproperty/AddPropertyGenerator.java,v  <--  AddPropertyGenerator.java
initial revision: 1.1
done
RCS file: /cvs/beans/src/org/netbeans/modules/beans/addproperty/AddPropertyPanel.form,v
done
Checking in src/org/netbeans/modules/beans/addproperty/AddPropertyPanel.form;
/cvs/beans/src/org/netbeans/modules/beans/addproperty/AddPropertyPanel.form,v  <--  AddPropertyPanel.form
initial revision: 1.1
done
RCS file: /cvs/beans/src/org/netbeans/modules/beans/addproperty/Bundle.properties,v
done
Checking in src/org/netbeans/modules/beans/addproperty/Bundle.properties;
/cvs/beans/src/org/netbeans/modules/beans/addproperty/Bundle.properties,v  <--  Bundle.properties
initial revision: 1.1
done
RCS file: /cvs/beans/src/org/netbeans/modules/beans/addproperty/AddPropertyPanel.java,v
done
Checking in src/org/netbeans/modules/beans/addproperty/AddPropertyPanel.java;
/cvs/beans/src/org/netbeans/modules/beans/addproperty/AddPropertyPanel.java,v  <--  AddPropertyPanel.java
initial revision: 1.1
done
Checking in manifest.mf;
/cvs/beans/manifest.mf,v  <--  manifest.mf
new revision: 1.46; previous revision: 1.45
done
RCS file: /cvs/beans/src/org/netbeans/modules/beans/resources/templates/AddProperty.freemarker,v
done
Checking in src/org/netbeans/modules/beans/resources/templates/AddProperty.freemarker;
/cvs/beans/src/org/netbeans/modules/beans/resources/templates/AddProperty.freemarker,v  <--  AddProperty.freemarker
initial revision: 1.1
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo